Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Class ProblemActionType

    java.lang.Object
      org.apache.cxf.ws.addressing.ProblemActionType

    public class ProblemActionType

extends java.lang.Object

Java class for ProblemActionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProblemActionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.w3.org/2005/08/addressing}Action" minOccurs="0"/>
             <element name="SoapAction" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected AttributedURIType` | `action`
`protected java.lang.String` | `soapAction`

Constructor Summary
`ProblemActionType()`

Method Summary
`AttributedURIType` | `getAction()` Gets the value of the action property.
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`java.lang.String` | `getSoapAction()` Gets the value of the soapAction property.
`void` | `setAction(AttributedURIType value)` Sets the value of the action property.
`void` | `setSoapAction(java.lang.String value)` Sets the value of the soapAction property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    protected AttributedURIType action

### soapAction

    protected java.lang.String soapAction

Constructor Detail

### ProblemActionType

    public ProblemActionType()

Method Detail

### getAction

    public AttributedURIType getAction()

  Gets the value of the action property.

  Returns:
    possible object is `AttributedURIType`

### setAction

    public void setAction(AttributedURIType value)

  Sets the value of the action property.

  Parameters:
    `value` - allowed object is `AttributedURIType`

### getSoapAction

    public java.lang.String getSoapAction()

  Gets the value of the soapAction property.

  Returns:
    possible object is `String`

### setSoapAction

    public void setSoapAction(java.lang.String value)

  Sets the value of the soapAction property.

  Parameters:
    `value` - allowed object is `String`

### getOtherAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF